Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class ITemplateElementTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.ITemplateElementTO

All Implemented Interfaces:
  Serializable

public class ITemplateElementTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ITemplateElementTO()`
`ITemplateElementTO(ITemplateElementTO[] containerValue, String description, String id, String inputMask, boolean isValueRequired, String name, String[] optionalValues, String pattern, int type, String value)`

Method Summary
`boolean` | `equals(Object obj)`
`ITemplateElementTO[]` | `getContainerValue()` Gets the containerValue value for this ITemplateElementTO.
`String` | `getDescription()` Gets the description value for this ITemplateElementTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getId()` Gets the id value for this ITemplateElementTO.
`String` | `getInputMask()` Gets the inputMask value for this ITemplateElementTO.
`String` | `getName()` Gets the name value for this ITemplateElementTO.
`String[]` | `getOptionalValues()` Gets the optionalValues value for this ITemplateElementTO.
`String` | `getPattern()` Gets the pattern value for this ITemplateElementTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`int` | `getType()` Gets the type value for this ITemplateElementTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String` | `getValue()` Gets the value value for this ITemplateElementTO.
`int` | `hashCode()`
`boolean` | `isIsValueRequired()` Gets the isValueRequired value for this ITemplateElementTO.
`void` | `setContainerValue(ITemplateElementTO[] containerValue)` Sets the containerValue value for this ITemplateElementTO.
`void` | `setDescription(String description)` Sets the description value for this ITemplateElementTO.
`void` | `setId(String id)` Sets the id value for this ITemplateElementTO.
`void` | `setInputMask(String inputMask)` Sets the inputMask value for this ITemplateElementTO.
`void` | `setIsValueRequired(boolean isValueRequired)` Sets the isValueRequired value for this ITemplateElementTO.
`void` | `setName(String name)` Sets the name value for this ITemplateElementTO.
`void` | `setOptionalValues(String[] optionalValues)` Sets the optionalValues value for this ITemplateElementTO.
`void` | `setPattern(String pattern)` Sets the pattern value for this ITemplateElementTO.
`void` | `setType(int type)` Sets the type value for this ITemplateElementTO.
`void` | `setValue(String value)` Sets the value value for this ITemplateElementTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ITemplateElementTO

    public ITemplateElementTO()

### ITemplateElementTO

    public ITemplateElementTO(ITemplateElementTO[] containerValue,
                              String description,
                              String id,
                              String inputMask,
                              boolean isValueRequired,
                              String name,
                              String[] optionalValues,
                              String pattern,
                              int type,
                              String value)

Method Detail

### getContainerValue

    public ITemplateElementTO[] getContainerValue()

  Gets the containerValue value for this ITemplateElementTO.

  Returns:
    containerValue

### setContainerValue

    public void setContainerValue(ITemplateElementTO[] containerValue)

  Sets the containerValue value for this ITemplateElementTO.

  Parameters:
    `containerValue` -

### getDescription

    public String getDescription()

  Gets the description value for this ITemplateElementTO.

  Returns:
    description

### setDescription

    public void setDescription(String description)

  Sets the description value for this ITemplateElementTO.

  Parameters:
    `description` -

### getId

    public String getId()

  Gets the id value for this ITemplateElementTO.

  Returns:
    id

### setId

    public void setId(String id)

  Sets the id value for this ITemplateElementTO.

  Parameters:
    `id` -

### getInputMask

    public String getInputMask()

  Gets the inputMask value for this ITemplateElementTO.

  Returns:
    inputMask

### setInputMask

    public void setInputMask(String inputMask)

  Sets the inputMask value for this ITemplateElementTO.

  Parameters:
    `inputMask` -

### isIsValueRequired

    public boolean isIsValueRequired()

  Gets the isValueRequired value for this ITemplateElementTO.

  Returns:
    isValueRequired

### setIsValueRequired

    public void setIsValueRequired(boolean isValueRequired)

  Sets the isValueRequired value for this ITemplateElementTO.

  Parameters:
    `isValueRequired` -

### getName

    public String getName()

  Gets the name value for this ITemplateElementTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this ITemplateElementTO.

  Parameters:
    `name` -

### getOptionalValues

    public String[] getOptionalValues()

  Gets the optionalValues value for this ITemplateElementTO.

  Returns:
    optionalValues

### setOptionalValues

    public void setOptionalValues(String[] optionalValues)

  Sets the optionalValues value for this ITemplateElementTO.

  Parameters:
    `optionalValues` -

### getPattern

    public String getPattern()

  Gets the pattern value for this ITemplateElementTO.

  Returns:
    pattern

### setPattern

    public void setPattern(String pattern)

  Sets the pattern value for this ITemplateElementTO.

  Parameters:
    `pattern` -

### getType

    public int getType()

  Gets the type value for this ITemplateElementTO.

  Returns:
    type

### setType

    public void setType(int type)

  Sets the type value for this ITemplateElementTO.

  Parameters:
    `type` -

### getValue

    public String getValue()

  Gets the value value for this ITemplateElementTO.

  Returns:
    value

### setValue

    public void setValue(String value)

  Sets the value value for this ITemplateElementTO.

  Parameters:
    `value` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD